#ifndef _LEDS_BUTTON_H_
#define _LEDS_BUTTON_H_

#define LED_PERIPH  RCC_APB2Periph_GPIOC
#define LED_GPIO    GPIOC
#define LED_PIN     GPIO_Pin_12

#define BUTTON_PERIPH   RCC_APB2Periph_GPIOA
#define BUTTON_LED_GPIO GPIOA
#define BUTTON_LED_PIN  GPIO_Pin_0

void LEDs_Button_Init ();

void LED_SetState (int State);
int LED_GetState ();
void LED_On ();
void LED_Off ();
void LED_Toggle ();

int Button_State ();
int Button_Pressed ();
int Button_Released ();

void LEDs_Button_Test ();
void StartUp_Blink ();

#endif
